package com.jty.nrsc.application.service;

import com.jty.nrsc.domain.model.auth.authority.nrsc.NrscAuthority;

import java.util.List;

/**
 * NrscAuthorityServer
 *
 * @author Manjiajie
 * @since 2019-6-13 11:41:59
 */
public interface NrscAuthorityServer {
    /**
     *获取authorities
     * @return List
     */
    List<NrscAuthority> getAllAuthorities();

    /**
     *获取depth为1的权限列表
     * @return List
     */
    List<NrscAuthority> getDepthOneAuthorities();
}
